6.0.0-git
2019-04-21

[#11513] Smartphone view: Handling of addressbook
Summary Smartphone view: Handling of addressbook
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-10-13 (2381 days ago)
Due
Updated 2012-10-27 (2367 days ago)
Assigned 2012-10-15 (2379 days ago)
Resolved 2012-10-15 (2379 days ago)
Milestone
Patch No

History
2012-10-27 00:55:41 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (develop):

commit 287bdea7d20d3b18995ddb4d7b9c635c4821da9a
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Oct 16 03:13:38 2012 -0600

     Bug #11513: Remove addressbook button

  imp/lib/Smartmobile.php                    |    4 ----
  imp/templates/smartmobile/mailbox.html.php |    3 ---
  2 files changed, 0 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/287bdea7d20d3b18995ddb4d7b9c635c4821da9a
2012-10-27 00:55:20 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (develop):

commit df22a7345053da945248eb76ba36c6b48d70ac89
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Oct 15 16:17:04 2012 -0600

     Request #11513: Move addressbook shortcut to mailbox page

  imp/templates/smartmobile/compose.html.php |    3 ---
  imp/templates/smartmobile/mailbox.html.php |    3 +++
  2 files changed, 3 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/df22a7345053da945248eb76ba36c6b48d70ac89
2012-10-16 11:58:28 Thomas Jarosch Comment #10 Reply to this comment
All this is indicating that we should probably get rid of the 
addressbook link completely.
This was probably the sanest solution for now.

2012-10-16 09:14:15 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 287bdea7d20d3b18995ddb4d7b9c635c4821da9a
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Oct 16 03:13:38 2012 -0600

     Bug #11513: Remove addressbook button

  imp/lib/Smartmobile.php                    |    4 ----
  imp/templates/smartmobile/mailbox.html.php |    3 ---
  2 files changed, 0 insertions(+), 7 deletions(-)

http://git.horde.org/horde-git/-/commit/287bdea7d20d3b18995ddb4d7b9c635c4821da9a
2012-10-16 09:11:33 Michael Slusarz Comment #8 Reply to this comment
One small thing: When you are in the address book, the upper back 
button (I just call it like this, it's not called "Back" actually) 
links to "Applications".

What about linking to the mailbox overview again?
Otherwise you drop out of the mail application.
This is expected.  This addressbook link is **NOT** intended to be 
analogous to the popup contacts window in basic/dynamic view.  It is 
intended to be nothing more than a shortcut (rather than going through 
the Applications menu).

Hopefully there will be a viable way in the future to allow for quick 
linking between applications (e.g. popdown menu).  But it doesn't 
currently exist with jquery mobile 1.1.1 (maybe the popup method in 
1.2 could be used for this in the future).
Also, what about adding the "Addressbook" button to folder list, too?
No.  We've got to keep buttons at a minimum in smartmobile view.

All this is indicating that we should probably get rid of the 
addressbook link completely.
2012-10-16 08:52:06 Thomas Jarosch Comment #7 Reply to this comment
Moved shortcut to mailbox page.
Thanks.

One small thing: When you are in the address book, the upper back 
button (I just call it like this, it's not called "Back" actually) 
links to "Applications".

What about linking to the mailbox overview again?
Otherwise you drop out of the mail application.

Also, what about adding the "Addressbook" button to folder list, too?

2012-10-15 22:17:51 Michael Slusarz Comment #6
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
Moved shortcut to mailbox page.
2012-10-15 22:17:22 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit df22a7345053da945248eb76ba36c6b48d70ac89
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Oct 15 16:17:04 2012 -0600

     Request #11513: Move addressbook shortcut to mailbox page

  imp/templates/smartmobile/compose.html.php |    3 ---
  imp/templates/smartmobile/mailbox.html.php |    3 +++
  2 files changed, 3 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/df22a7345053da945248eb76ba36c6b48d70ac89
2012-10-15 10:44:18 Jan Schneider Comment #4 Reply to this comment
If you want to enter an e-mail address, use the autocomplete 
feature instead.

if this is still confusing, then we should hide the Addressbook
button if replying/forwarding to a message.
Yes, it is confusing (for me). Other opinions?
It confused me too when I first noticed the button because I didn't 
see any code commit to actually add the passing-back of contacts. It 
might be even more confusing for regular users. At a minimum we should 
add a warning that clicking this button will discard the currently 
composed message.
2012-10-15 09:58:34 Thomas Jarosch Comment #3 Reply to this comment
If you want to enter an e-mail address, use the autocomplete feature instead.

if this is still confusing, then we should hide the Addressbook 
button if replying/forwarding to a message.
Yes, it is confusing (for me). Other opinions?

How about moving the button next to the "New message" button for now?

The "New message" button appears in the folder list and mailbox overview.
I think this would intuitively remove the expectation that it inserts
the address in the currently edited message.

2012-10-15 02:13:30 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment

[Show Quoted Text - 9 lines]
There should be no expectation that clicking on Addressbook will 
eventually insert an address into the current compose message.  It's 
just there as a shortcut to the addressbook.

If you want to enter an e-mail address, use the autocomplete feature instead.

if this is still confusing, then we should hide the Addressbook button 
if replying/forwarding to a message.

The jquery mobile UI is too limited to allow complicated addressbook 
lookups on small screens (maybe you could design a system to work with 
a tablet form factor, but that is a different issue...).
2012-10-13 16:08:26 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Smartphone view: Handling of addressbook
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I'm not sure how the addressbook is supposed to work in the smartphone view.

Let's say I open a message and click on reply. I clear the recipient 
in the "To:" field
and click on the "Addressbook" button on the bottom navigation.

Now I select a recently used address and click on it. There I have to 
click on "+ Entries" to finally expand the email address. So far so 
good. When I now do the final click on the address,
it will open a new message instead of inserting the address into the 
existing, open message.

How can I insert the address into the reply / forward?

Cheers,
Thomas

Saved Queries